<?php

namespace SugarCalendarBookings\Employees\Admin;

use SugarCalendarBookings\Support\Admin\AbstractEducationPage;
use SugarCalendarBookings\Support\Helpers\Helpers;

/**
 * Employees Education page.
 *
 * @since 1.2.0
 */
class EmployeesEducationPage extends AbstractEducationPage {

	/**
	 * Page title.
	 *
	 * @since 1.2.0
	 *
	 * @return string
	 */
	public static function get_title() {

		return esc_html__( 'Employees', 'sugar-calendar-bookings-scheduling-appointments-lite' );
	}

	/**
	 * Page slug.
	 *
	 * @since 1.2.0
	 *
	 * @return string
	 */
	public static function get_slug() {

		return 'employees';
	}

	/**
	 * Page ID.
	 *
	 * @since 1.2.0
	 *
	 * @return string
	 */
	public static function get_id() {

		return 'employees-list-lite';
	}

	/**
	 * Get page description.
	 *
	 * @since 1.2.0
	 *
	 * @return string
	 */
	public function get_description() {

		return esc_html__( 'With Employees, customers select their preferred team member during booking. You set schedules and services per employee - the booking form only displays available options.', 'sugar-calendar-bookings-scheduling-appointments-lite' );
	}

	/**
	 * Get screenshots array.
	 *
	 * @since 1.2.0
	 *
	 * @return array
	 */
	public function get_screenshots() {

		return [
			[
				'url'           => esc_url( SCBOOKINGS_PLUGIN_URL . 'assets/images/education/employee-edu-1.jpg' ),
				'url_thumbnail' => esc_url( SCBOOKINGS_PLUGIN_URL . 'assets/images/education/employee-edu-1-thumb.jpg' ),
				'title'         => esc_html__( 'Employee List', 'sugar-calendar-bookings-scheduling-appointments-lite' ),
			],
			[
				'url'           => esc_url( SCBOOKINGS_PLUGIN_URL . 'assets/images/education/employee-edu-2.jpg' ),
				'url_thumbnail' => esc_url( SCBOOKINGS_PLUGIN_URL . 'assets/images/education/employee-edu-2-thumb.jpg' ),
				'title'         => esc_html__( 'Add / Edit Employees', 'sugar-calendar-bookings-scheduling-appointments-lite' ),
			],
		];
	}

	/**
	 * Get features heading.
	 *
	 * @since 1.2.0
	 *
	 * @return string
	 */
	public function get_features_heading() {

		return esc_html__( 'Unlock These Awesome Employee Features!', 'sugar-calendar-bookings-scheduling-appointments-lite' );
	}

	/**
	 * Get features list.
	 *
	 * @since 1.2.0
	 *
	 * @return array
	 */
	public function get_features() {

		return [
			esc_html__( 'Employee Management', 'sugar-calendar-bookings-scheduling-appointments-lite' ),
			esc_html__( 'Customer Choice of Employee', 'sugar-calendar-bookings-scheduling-appointments-lite' ),
			esc_html__( 'Automatic Availability Filtering', 'sugar-calendar-bookings-scheduling-appointments-lite' ),
			esc_html__( 'Individual Working Hours', 'sugar-calendar-bookings-scheduling-appointments-lite' ),
			esc_html__( 'Assign Employees to Services', 'sugar-calendar-bookings-scheduling-appointments-lite' ),
			esc_html__( 'Quick Employee Creation', 'sugar-calendar-bookings-scheduling-appointments-lite' ),
		];
	}

	/**
	 * Display the page content.
	 *
	 * @since 1.2.0
	 */
	public function display_content() {

		// Show education in Lite version.
		Helpers::template(
			'education/layout.php',
			[
				'scb_page'             => $this,
				'scb_screenshots'      => $this->get_screenshots(),
				'scb_description'      => $this->get_description(),
				'scb_features'         => $this->get_features(),
				'scb_features_heading' => $this->get_features_heading(),
				'scb_utm_medium'       => $this->get_utm_medium(),
			],
			false
		);
	}
}
